<?php
// standard theme module type-B
// by team1/3

	global $params,$html,$ut,$database;

// ツールバーのカスタマイズ
function custom_toolbar()
{
	global $html,$ut;
	if (check_rights('edit')) {
		if (!check_rights('admin')) {
			unset($html['system_toolbar']['MENU']['10']);
			unset($html['system_toolbar']['MENU']['11']);
		} else {
			$html['system_toolbar']['MENU'][1][] = "<a href='{$ut->link('manager')}' >Theme Manager</a>";
		}
		ksort($html['system_toolbar']['MENU']);
	} else {
		unset($html['system_toolbar']['MENU']);
	}
}

// メインビジュアル (get_main_visualがtplで使われていなければ削除可能)
function get_main_visual()
{
	global $html,$params,$database,$ut,$config;
	$meta = get_theme_metadata();
	if (isset($meta['flexfile']['main_visual'] )) {
		return "<img src='{$meta['flexfile']['main_visual']}' alt='' />";
	}
	return "<img src='{$config['site_url']}css/onethird121.png' alt='' />";
}

// キャッチコピー (get_main_catch_strがtplで使われていなければ削除可能)
function get_main_catch_str()
{
	global $html,$params,$database,$ut,$config;
	$meta = get_theme_metadata();
	
	if (isset($meta['plugin_embed']['catch_text'])) {
		$buff = $meta['plugin_embed']['catch_text'];
	} else {
$buff = <<<EOT
		<p style="font-family: 'Consolas';">Lightweight CMS for Small website, Web application framework.</p> 
EOT;
	}
	return $buff;
}

//各ページからのログインが有効でかつ非ログイン状態の場合は、ログインプログラムをロード
if (!check_rights() && empty($params['circle']['meta']['hide_login'])) {
	snippet_loginform(1);
}

// グローバルナビ(テーマに合わせてカスタマイズ、get_gnavがtplで使われていなければ削除可能)
function get_gnav()
{
	global $html,$params,$database,$ut,$config;

	$link = "link_proc";

	$top_page = $params['circle']['meta']['top_page'];
	$meta = get_theme_metadata();
	
	$buff = '';
	if (isset($meta['theme']['global_menu'])) {
		foreach ($meta['theme']['global_menu'] as $v) {
			$u = ex_theme_link($v['link']);
			$n = $v['text'];
			$s = "";
			$u0 = trim($u,'/');
			if ($params['request'] == $u0) {
				$s = " class='active' ";
			} else {
				foreach ($params['breadcrumb'] as $v) {
					if (trim($v['link'],'/') == $u0) {
						$s = " class='active' ";
						break;
					}
				}
			}
			$buff .= "<a href='$u' $s>$n</a>";
		}
	} else {
$buff .= <<<EOT
		<a href="{$ut->link()}">HOME</a>
		<a href="{$ut->link('list')}">Page list</a>
EOT;
	}
	if (!check_rights() && empty($params['circle']['meta']['hide_login'])) {
$buff .= <<<EOT
		<a href='javascript:void(ot.show_login_panel())'>Login</a>
EOT;
	}
	return $buff;
}

// for breadcrumb (テーマに合わせてカスタマイズ)
function breadcrumb()
{
	global $params,$ut;
	if ( isset($params['circle']) && isset($params['circle']['name']) ) {
		$name = $params['circle']['name'];
		if ( isset($params['breadcrumb']) ) {
			//パンくずの作成
			$a = '';
$a .= <<<EOT
		  <li ><a href="{$ut->link()}">{$name}</a> </li><li><span class="divider">&raquo;</span></li>
EOT;
			if ( is_array($params['breadcrumb']) ) {
				$c = count($params['breadcrumb']);
				for ( $i=0; $i < $c; ++$i ) {
					$v = $params['breadcrumb'][$i];
					if ( $i != $c-1 ) {
						$d1 = '';
						$d2 = "<span class='divider'>&raquo;</span>";
					} else {
						$d1 = ' class="active" ';
						$d2 = '';
					}
					if ( $v['link'] ) {
$a .= <<<EOT
						<li $d1><a href="{$v['link']}">{$v['text']}</a> $d2</li>
EOT;
					} else {
$a .= <<<EOT
						<li $d1>{$v['text']} $d2</li>
EOT;
					}
				}
			}
			return '<ul class="onethird-breadcrumb">'.$a.'</ul>';
		}
	}
	return '';
}

// 絶対パスのURLは、そのままそれ以外はパス調整する
function ex_theme_link($u)
{
	global $ut;
	if (preg_match("/(https?:)?\/\//",$u)) {
		return $u;
	}
	return $ut->link($u);
}

// for system toolbar (通常は変更不可)
function system_toolbar()
{
	global $html,$params,$config,$ut,$p_circle;
	
	if (!check_rights()) {
		return '';
	}

	custom_toolbar();

	//system_toolbarの整形
	$x = array();
	foreach ($html['system_toolbar'] as $k=>$v) {
		if (!is_array($v)) {
			$x['opt'][] = $v;
		} else {
			foreach ($v as $vv) {
				if (is_array($vv)) {
					if (!isset($vv['caption'])) {
						foreach ($vv as $vvv) {
							$x['opt'][] = $vvv;
						}
					} else {
						$x[$k][] = $vv;
					}
				} else {
					$x[$k][] = $vv;
				}
			}
		}
	}
	$html['system_toolbar'] = $x;

	$opacity = "0.5";
	// system nav css
$buff = <<<EOT
	<style>
	.ot-show {
	  opacity: 1 !important;
	}
	.onethird-system-nav-typeB {
	  position: fixed;
	  top: 0;
	  left: 0;
	  padding: 5px;
	  text-align: left;
	  font-size: 14px;
	  background-color: rgba(0, 0, 0, 0.8);
	  background-color: #222\9;
	  border: 2px solid #fff;
	  color: #e0e0e0;
	  z-index: 99999;
	  opacity: $opacity;
	  box-shadow: 0px 0px 6px #000000;
	  font-family: 'Lucida Console',Verdana, Roboto, 'Droid Sans', Meiryo, 'Hiragino Kaku Gothic ProN';
	  font-size:16px;
	}
	.onethird-system-nav-typeB:hover {
	  opacity: 1;
	}
	.onethird-system-nav-typeB a,
	.onethird-system-nav-typeB a:hover {
	  text-decoration: none;
	}
	.onethird-system-nav-typeB a,
	.onethird-system-nav-typeB a:link,
	.onethird-system-nav-typeB a:visited {
	  color: #e0e0e0;
	  text-decoration: none;
	}
	.onethird-system-nav-typeB a:hover {
	  color: #08C;
	}
	.onethird-system-nav-typeB img {
	  width: 25px;
	  padding: 2px;
	  -webkit-box-sizing: initial; // for bootstrap
	  -moz-box-sizing: initial;
	  box-sizing: initial;
	}
	.onethird-system-nav-typeB .inner {
	  width: 30px;
	  padding: 0;
	}
	.onethird-system-nav-typeB img {
	  vertical-align: middle;
	  margin: 0;
	}
	.onethird-system-nav-typeB .dropdown_item {
	  float: left;
	  position: relative;
	  cursor: pointer;
	}
	.onethird-system-nav-typeB .dropdown_item .dropdown_box {
	  background-color: rgba(0, 0, 0, 0.9);
	  background-color: #222\9;
	  padding: 9px;
	  position: absolute;
	  top: 15px;
	  left: 30px;
	  width: 240px;
	  -webkit-border-radius: 3px;
	  -moz-border-radius: 3px;
	  border-radius: 3px;
	  -webkit-box-shadow: 0px 0px 6px #8d8b8b;
	  -moz-box-shadow: 0px 0px 6px #8d8b8b;
	  box-shadow: 0px 0px 6px #8d8b8b;
	}
	.onethird-system-nav-typeB .dropdown_item .dropdown_box div :hover {
	  color: #08C;
	}
	.onethird-system-nav-typeB .dropdown_item .dropdown_box .item {
	  padding: 2px;
	}
	.onethird-system-nav-typeB .dropdown_item .dropdown_box .item a {
	  border: none;
	}
	.onethird-system-nav-typeB .dropdown_item .dropdown_box .dropdown_box_sub {
		left: 7px;
		position: relative;
		margin-bottom: 13px;
		top: 4px;
	}
	.ot-hidden {
		opacity: 0;
		-webkit-transition: opacity linear 0.5s;
		-moz-transition: opacity linear 0.5s;
		-ms-transition: opacity linear 0.5s;
		-o-transition: opacity linear 0.5s;
		transition: opacity linear 0.5s;
	}
	.onethird-system-nav-typeB .dropdown_item .dropdown_box.ot-hidden:hover {
	  opacity: 1;
	}
	.onethird-system-nav-typeB .dropdown_item hr {
	  border: 0;
	  border-bottom: 1px dashed #858585;
	  background: #000;
	}
	.onethird-system-nav-typeB.ot-hidden:hover {
	  opacity: 1;
	}
	@media (max-width: 767px) {
	  .onethird-system-nav-typeB {
		font-size: 120%;
		line-height: 160%;
		top: initial;
		bottom: 0;
	  }
	  .onethird-system-nav-typeB img {
		width: 35px;
		height: 35px;
	  }
	  .onethird-system-nav-typeB.ot-hidden {
		opacity: 0.3;
	  }
	  .onethird-system-nav-typeB .inner {
		width: initial;
		padding: 0;
	  }
	  .onethird-system-nav-typeB .dropdown_item .dropdown_box {
		top: initial;
		bottom: 47px;
	  }
	}
	</style>
EOT;
	$html['css']['system_toolbar'] = $buff;

	$buff = '';
	if (!function_exists('sub_item')) {
		function sub_item($ar) {
$buff = <<<EOT
			<div style='position:relative;'>
				<div class='dropdown_hnd_sub '>
					<div class='sub_menu'>{$ar['caption']}</div>
					<div class="dropdown_box_sub dropdown_box" style='display:none;z-index:1000;'>
EOT;
						foreach ($ar as $k=>$v) {
							if (!is_numeric($k)) { continue; }
$buff .= <<<EOT
							<div class="item">
								$v
							</div> 
EOT;
						}
$buff .= <<<EOT
					</div> 
				</div> 
			</div> 
EOT;
			return $buff;
		}
	} else {
		if (check_rights()) {
			$html['alert'][] = 'system_toolbar-tag is duplicated.';
		}
	}

$buff .= <<<EOT
<div class="onethird-system-nav-typeB" >
	<div class="inner">
		<div class="dropdown_item">
			<a href='{$config['site_ssl']}admin/account.php?circle=$p_circle'><img class='profimg' src='{$_SESSION['login_img']}' width='25' height='25' alt='Account setting' /></a>
EOT;
			if ( isset($html['system_toolbar']) && $html['system_toolbar'] ) {
				foreach ($html['system_toolbar'] as $k=>$v) {
					if (!is_array($v)) {
						continue;
					}
					if ($k === 0) {
						$icon = $ut->icon('system');
					} else if ($k === 10) {
						$icon = $ut->icon('lock');
					} else if ($k == 'opt') {
						$icon = $ut->icon('folder',"width='32'");
					} else {
						$icon = $ut->icon('folder2',"width='32'");
					}
$buff .= <<<EOT
					<span class='dropdown_hnd'>$icon</span>
					<div class="dropdown_box_root dropdown_box" style='display:none;'>
EOT;
					foreach ($v as $kk=>$vv) {
						if (is_array($vv)) {
							$buff .= sub_item($vv);
							continue;
						}
$buff .= <<<EOT
						<div class="item">
							$vv
						</div> 
EOT;
					}
$buff .= <<<EOT
					</div> 
EOT;
				}

$buff .= <<<EOT
EOT;
			}

$buff .= <<<EOT

		</div>
	</div>
</div>
EOT;

$buff .= <<<EOT
		<script>
		\$(function(){
			\$("body").bind("click", function (e) {
				\$('.dropdown_hnd').next().hide(100);
				\$(".onethird-system-nav-typeB").removeClass("ot-show");
				\$('.dropdown_hnd').next().removeClass('ot-show').hide(200);
			});
			\$(".dropdown_hnd").click(function (e) {
				var obj = \$(this);
				var top = (e.clientY-8)+'px';
				if (\$(window).scrollTop()+100 < \$('.onethird-system-nav-typeB').offset().top) {
					top = 'inherit';
				}
				var n = obj.next();
				if (n.hasClass('ot-show')) {
					n.removeClass('ot-show').hide(100);
				} else {
					\$('.dropdown_hnd').next().removeClass('ot-show').hide(100);
					n.css('top',top);
					n.addClass('ot-show').show(200);
				}
				\$(".onethird-system-nav-typeB").addClass("ot-show");
				if (\$('body').width() < 767) {
					\$('.edit_pointer').show();
				}
				return false;
			}); 
			\$(".onethird-system-nav-typeB .sub_menu").click(
				function (e) {
					var n = \$(this).next();
					if (n.hasClass("ot-show")) {
						n.removeClass('ot-show').hide(100);
						return false;
					} else {
						\$(".dropdown_box_sub ").hide();
						n.addClass('ot-show').show(200);
						return false;
					}
				}
			);
			
EOT;
			if ( isset($params['circle']['meta']['hide_nav']) ) {
$buff .= <<<EOT
				\$('.onethird-system-nav-typeB').addClass('ot-hidden');
EOT;
			} else {
$buff .= <<<EOT
				\$('.dropdown_box').addClass('ot-hidden');
				\$('.dropdown_box').hover(null,function(){
					\$('.dropdown_box').addClass('ot-hidden');
				});
EOT;
			}

$buff .= <<<EOT
		});
		</script>
EOT;

	snippet_overlay();

	if (isset($html['information'])) {
		$buff .= "<div class='onethird-information' onclick='\$(this).remove()' >";
		foreach ($html['information'] as $v) {
			$buff .= "<div>$v</div>";
		}
		$buff .= "</div>";
	}
	
	if (isset($html['alert'])) {
$buff .= <<<EOT
		<script>
			\$(function(){
EOT;
				foreach ($html['alert'] as $v) {
					$buff .= "ot.alert(\"$v\");";
				}
$buff .= <<<EOT
			});
		</script>
EOT;
	}

	return $buff;

}


?>